Subject: [bmwg] [answer to Bill Cerveny] RE: New Version Notification for draft-janovak-bmwg-ipflow-meth-00 [answer to Bill Cerveny]

From: "Jan Novak (janovak)" <[email-masked]>
Date: Wed, 11 Jun 2008 15:43:19 +0200

Hi Bill,

I am sorry, was on holidays and missed your answer ....

>devices, the throughput measurement wouldn't be appropriate. Perhaps  
>the scope of this document should be specifically on network devices  
>that transit network traffic?

Yes, the intention was to make it specific for only network devices.
Will review the text to make sure it is clear.

>Wouldn't a big consideration be the quality and accuracy of the flow  
>data?  How would the accuracy of the generated flow be evaluated?  The

>flow generating capabilities of a network device is certainly less  
>useful if the device's flow accuracy degrades when it is transiting  
>more traffic.

I would consider this out of the scope since to check that the testing
would 
have to involve some external collector and the way those handle data
is even more complex than what happens on the network devices when
just registering the traffic.
I will think about it yet, but based on the testing we have done I don't
quite see how to do it.

> What about flow sampling?  There is no reference to sampling in the  
> draft.

Yes, that should not be difficult to discuss.

Thank you for your comments.

Jan

The climate of Edinburgh is such that the weak
succumb young .... and the strong envy them.

                                 Dr. Johnson  

Jan,

I think a document on benchmarking flow analysis and export could be  
valuable.

Questions:
- The draft assumes the device generating flow will be a transit  
device (such as a router).  What about flow generating devices that  
passively monitor the network and are not transit devices?  For such  
devices, the throughput measurement wouldn't be appropriate. Perhaps  
the scope of this document should be specifically on network devices  
that transit network traffic?
- Wouldn't a big consideration be the quality and accuracy of the flow  
data?  How would the accuracy of the generated flow be evaluated?  The  
flow generating capabilities of a network device is certainly less  
useful if the device's flow accuracy degrades when it is transiting  
more traffic.
- What about flow sampling?  There is no reference to sampling in the  
draft.

Thanks,

Bill Cerveny

> -----Original Message-----
> From: Jan Novak (janovak) 
> Sent: 21 May 2008 11:45
> To: [email-masked]'
> Subject: FW: New Version Notification for 
> draft-janovak-bmwg-ipflow-meth-00 
> 
> Hi,
> 
> I have worked for over 3 years in the IP Flow (RFC5101) testing area
> (RFC3954 - Netflow) and during that time we have got numerous requests
> from various customers about Netflow performance. Every time
> it started off a long discussion what was meant by the term
> "netflow performance", how to measure it and deliver some
> reproducible data.
> We ended up compiling an internal document which we provided 
> to those asking the questions above. This IETF draft document
> tries to specify IP Flow performance and some characteristics to
> quantify and measure it in an implementation independent way.
> 
> I would appreciate the opinion of this working group if this bit
> of work is deemed useful and worthwhile of accepting as the WG
> document.
> 
> Thanks, Jan 
> 
> The climate of Edinburgh is such that the weak
> succumb young .... and the strong envy them.
> 
>                                  Dr. Johnson  
> 
> > -----Original Message-----
> > From: IETF I-D Submission Tool [mailto:[email-masked]] 
> > Sent: 21 May 2008 11:34
> > To: Jan Novak (janovak)
> > Subject: New Version Notification for 
> > draft-janovak-bmwg-ipflow-meth-00 
> > 
> > 
> > A new version of I-D, draft-janovak-bmwg-ipflow-meth-00.txt 
> > has been successfuly submitted by Jan Novak and posted to the 
> > IETF repository.
> > 
> > Filename:	 draft-janovak-bmwg-ipflow-meth
> > Revision:	 00
> > Title:		 IP Flow Information Accounting and 
> > Export Benchmarking Methodology
> > Creation_date:	 2008-05-21
> > WG ID:		 Independent Submission
> > Number_of_pages: 19
> > 
> > Abstract:
> > This document provides methodology and framework for quantifying 
> > performance implications of enabling selective monitoring of
> > IP flows on a network device and export of this information to
> > a collector as specified in [RFC5101].
> >                                                               
> >                     
> > 
> > 
> > The IETF Secretariat.
> > 
> > 
> > 
_______________________________________________
bmwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/bmwg